%global	_fwpath	/usr/lib/firmware
%global	nonfree_commit bda9207acee945633464e89614f3717b856579b5
%global	nonfree_srcdir	firmware-nonfree-%{nonfree_commit}

Name:		rpi-firmware-nonfree
Version:	20211028
Release:	2%{?dist}
Summary:	Supplemental firmware used by Linux kernel for some Raspberry Pi models
BuildArch:	noarch
ExclusiveArch:	aarch64

License:	broadcom_bcm43XX
URL:		https://github.com/RPi-Distro/firmware-nonfree

Source0:	https://github.com/RPi-Distro/firmware-nonfree/archive/%{nonfree_commit}/firmware-nonfree-%{nonfree_commit}.tar.gz
Requires:	linux-firmware

%description
This package provides suppremental firmware files not included in linux-firmware
package to enable Bluetooth/Wi-Fi on some Raspberry Pi models.

%prep
%setup -n %{nonfree_srcdir}

%build

%install
install -d %{buildroot}%{_fwpath}/brcm
install -d %{buildroot}/usr/share/licenses/brcm-nonfree
cp LICENCE.broadcom_bcm43xx %{buildroot}/usr/share/licenses/brcm-nonfree/

cp brcm/brcmfmac43436s-sdio.{bin,txt} %{buildroot}%{_fwpath}/brcm/
cp brcm/brcmfmac43455-sdio.txt %{buildroot}%{_fwpath}/brcm/
cp brcm/brcmfmac43456-sdio.txt %{buildroot}%{_fwpath}/brcm/
cp brcm/brcmfmac43456-sdio.bin %{buildroot}%{_fwpath}/brcm/
cp brcm/brcmfmac43456-sdio.clm_blob %{buildroot}%{_fwpath}/brcm/

# Pi Zero 2W
ln -s brcmfmac43436s-sdio.txt %{buildroot}%{_fwpath}/brcm/brcmfmac43436s-sdio.raspberrypi,model-zero-2-w.txt
ln -s brcmfmac43430-sdio.raspberrypi,model-zero-w.txt %{buildroot}%{_fwpath}/brcm/brcmfmac43430-sdio.raspberrypi,model-zero-2-w.txt

%files
%license /usr/share/licenses/brcm-nonfree/LICENCE.broadcom_bcm43xx
%{_fwpath}/brcm/*

%changelog
* Fri Mar 21 2025 Bryan Zuelly <bzuelly@outlook.com> - 2021021-1
- shrink to only necessary tasks, 2 firm file and symlinks
- moved back to older buster branch
* Sun Mar 02 2025 Bryan Zuelly <bzuelly@outlook.com> - 
- Initial
- Based on linux-firmware-raspberry package from Alma Linux
